Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1600755 - wrong path for KeepAlive settings in tuning guide
Summary: wrong path for KeepAlive settings in tuning guide
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Documentation
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: ashwin
QA Contact: Vlada Grosu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-13 00:22 UTC by matt jia
Modified: 2019-04-01 20:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-20 09:07:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description matt jia 2018-07-13 00:22:46 UTC
Document URL: 


https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html/tuning_red_hat_satellite/tuning#tuning_keepalive_settings

Section Number and Name: 

5.1.2. Tuning KeepAlive settings

Describe the issue: 

On Sat6.3.1, the KeepAlive settings are in /etc/httpd/conf.d/05-foreman-ssl.conf,
not /etc/httpd/conf.d/05-foreman-ssl.d/katello.conf.

Suggestions for improvement: 

By default MaxKeepAliveRequests is set 10000. Is the below recommendation still true?

Red Hat recommends that MaxKeepAliveRequests be set to 0 to allow each connection to request all its content over the same TCP connectio

Comment 1 Andrew Dahms 2018-09-18 04:10:46 UTC
Hi Matt,

Thank you for raising this bug.

We will address your request to update the path as listed, but I would recommend reaching out to engineering to ask about the MaxKeepAliveRequests setting. Our latest understanding is that this is still correct, although we will be working with engineering to review it in future versions of the documentation.

Now assigning to ashwin for review.

Ashwin - see the above change in path. Let's submit two updates for this - one to 'master' where we simply change the path, and one to '6.3' where we provide both options and call out that one is for 6.3.1 and above, the other for 6.3.0.

Kind regards,

Andrew


Note You need to log in before you can comment on or make changes to this bug.